AntContribVersion (Ant Contrib)
Keywords: net.sf.antcontrib.AntContribVersion class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib
Class AntContribVersion

    java.lang.Object
      net.sf.antcontrib.AntContribVersion

    public class AntContribVersion

extends java.lang.Object

Author:
  Dean Hiller To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Constructor Summary
`AntContribVersion(java.lang.Class c)` Constructor that takes a class to get the version information from out of the manifest.

Method Summary
`static void` | `main(java.lang.String[] args)` The main program for MockVersion that prints the version info from the manifest file.
`java.lang.String` | `toString()` Prints the version info the MockVersion represents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntContribVersion

    public AntContribVersion(java.lang.Class c)

  Constructor that takes a class to get the version information from out of the manifest. Uses the class's package to retrieve the manifest version info.

  Parameters:
    `c` - The Class on whose package to use to get version info.

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main program for MockVersion that prints the version info from the manifest file.

  Parameters:
    `args` - Ignores all arguments.

### toString

    public java.lang.String toString()

  Prints the version info the MockVersion represents.

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD